Subject: [16ng] Re: comments on draft-ietf-16ng-ipv6-link-model-analysis-00.txt

From: "Syam Madanapalli" <[email-masked]>
Date: Thu, 2 Nov 2006 13:43:04 +0530

Hi Vihang,

On 11/2/06, Gangaram Vihang-A20783 <[email-masked]> wrote:
> Syam,
> Based on the draft on IPV6 link models, the following pros and cons seem
> apparent
> Unique prefix for every MS
> 1. DAD becomes trivial
> 2. Privacy addresses
> 3. No local multicast
> Shared prefix model
> 1. DAD/ relay DAD needed with stateless address configuration. This in
> turn, consumes bandwidth
> 2. Privacy addresses (eg. laptop users) need to be managed separately
> 3. Bridging functionality in BS or ALM-like overlay may provide
> link-local multicast support, thereby reducing the burden on AR.
>
> But does this mean that for unique prefix model ETH CS becomes essential
> since PPP can be supported by ETH CS? Option 3 in section 3.2 is still
> bit vague and could you provide some more information on it ?

Section 3.2 is essentially meant for IPv6 CS and if we want to use PPP
to emulate p2p link over 802.16, it is not possible as no PPP CS defined.
The simplest way to abstract the p2p link for 802.16 is to make a set of
connection from the MS to BS as a single IP link. Once you do this
you do not need any other p2p protocols between IP and 802.16. For more
information see
http://www.ietf.org/internet-drafts/draft-ietf-16ng-ipv6-over-ipv6cs-01.txt

>
> We think that a Service-based link model may be appropriate. For
> instance,
> 1. Home networks: Less need of local multicast; more likely plug and
> play users
> Adopt a Per-MS prefix model, address autoconfiguration
> 2. Enterprise networks: shared services such as fax, printer; relatively
> low user mobility
> Adopt a Shared prefix model with stateful address allocation.
> But no one is showing interest in shared prefix model so does that imply
> that a there are no takers for deployment in enterprise network ?

Shared prefix model is not completely ruled out, however we need
good use cases that outweigh its inherent drawbacks.

Anyways, I would like to know how the enterprises may use the WiMAX services
if you have any information. For example, will all of the users (as
individuals) in an
enterprise connects to a base station? If yes then it may be difficult
to place an
enterprise into a separate subnet in the shared prefix model.

It may be most likely that in the both scenarios you mentioned, there would be
a gateway terminating WiMAX with a prefix delegation for the network behind
the gateway.

I think, the shared prefix model may be useful if the gateway in turn supports
a local 802.16 interface (i.e. gateway supporting 802.16 on both sides) for
connecting all of its local devices.

- Syam

> Thanks
> Vihang
_______________________________________________
16ng mailing list
[email-masked]
http://eeca16.sogang.ac.kr/mailman/listinfo/16ng